﻿using System;
using System.Runtime.InteropServices;

namespace EonaCat.VolumeMixer.Models
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.
    [StructLayout(LayoutKind.Sequential)]
    internal struct PropertyKey
    {
        public Guid Fmtid;
        public uint Pid;

        public PropertyKey(Guid fmtid, uint pid)
        {
            Fmtid = fmtid;
            Pid = pid;
        }
    }
}